No announcement yet.

AMP source code & Leopard fix? :)

  • Filter
  • Time
  • Show
Clear All
new posts

  • AMP source code & Leopard fix? :)

    Hey guys!

    Does anyone have the latest AMP 1.x source? I don't think AMP2.0 will ever be good for a car. AMP 1.x was really huge and bloated, but it was working.

    Also I read somewhere that it doesn't work under Leopard. Does anyone know why? Does it just not compile in old what's it called... Xcode?

    Thank you for any help,

  • #2
    Well ****, the AMP1.x source compiled! That looks like a good starting place to start messing around. I have to learn Cocoa again. Once I get this in the car, it will be good to see how it is using it on a day to day basis, to see what needs to be added. Ie, some easy way to get media on the computer, etc.


    • #3
      I have both AMP1 and AMP2 source code here - if you need either, just drop a PM...


      • #4
        AMP 2.0 works great in the car. You can find the code version we are using here:

        It will take quite awhile upon start -it will appear to 'hang'. It isn't frozen, it is looking for a Java XM program that my friend wrote and also trying to start LineIn. There are key bindings so you can control it from the keyboard/input device.
        Originally posted by ghettocruzer
        I was gung ho on building a PC [until] just recently. However, between my new phone having internet and GPS and all...and this kit...Im starting to have trouble justfiying it haha.
        Want to:
        -Find out about the new iBug iPad install?
        -Find out about carPC's in just 5 minutes? View the Car PC 101 video


        • #5
          I like the idea of using that griffen powermate thing you were talking about. I think that's the way to go in the car, since you can use it without looking at the controller. I can't imagine in the car tapping the screen to get through things.

          Thank you for the link, I am going to DL it now and check it out.


          • #6
            check out the wiimote too. it works great in the car.



            • #7
              Has anyone been able to compile and get working 1.4 in leopard? when I try to compile and run with xcode 3.1? If I have the SDK set for 10.4 it will compile but crashes right after the loading screen. If I set the SDK to 10.5 it will not compile and gives me several "cannot find interface declaration for 'CALayer', superclass" errors.